<template>
  <div class="mb56 product-review slide-review clearfix">
    <h2 class="title_cate">
      <span>Sản phẩm đã xem</span>
    </h2>
    <div
      ref="ProductReview"
      v-swiper="options_slide_review"
      class="padding-swiper list-product list-product-review"
    >
      <div class="swiper-wrapper">
        <ProductItemReview
          v-for="product in products"
          :key="product.id"
          :product="product"
          :swiperslide="'swiper-slide'"
        />
      </div>
      <!-- Add Arrows -->
      <div id="next-swiper-preview" class="swiper-button-next next-swiper">
        <svg-icon
          name="arrow-right"
          style="width: 24px; height: 24px;"
        ></svg-icon>
      </div>
      <div id="prev-swiper-preview" class="swiper-button-prev prev-swiper">
        <svg-icon
          name="arrow-left"
          style="width: 24px; height: 24px;"
        ></svg-icon>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'ProductReview',
  components: {
    ProductItemReview: () => import('~/components/Products/ProductItemReview'),
  },
  // eslint-disable-next-line vue/require-prop-types
  props: ['products'],
  data() {
    return {
      options_slide_review: {
        slidesPerView: 2,
        spaceBetween: 0,
        navigation: {
          nextEl: '#next-swiper-preview',
          prevEl: '#prev-swiper-preview',
        },
        breakpoints: {
          480: {
            slidesPerView: 2,
            spaceBetween: 0,
          },
          991: {
            watchOverflow: true,
            watchSlidesVisibility: true,
            spaceBetween: 8,
            slidesPerView: 3,
          },
        },
      },
    }
  },
  beforeMount() {
    this.products = this.products.reverse()
  },
  mounted() {},
}
</script>
